import ref from 'ref-napi';
import DLL from './dll.js';
declare class EZInterface {
    dll: ReturnType<typeof DLL>;
    constructor(host?: string, port?: number, timeout?: number, dll_path?: string);
    goodResult(res: number): boolean;
    testConnection(): boolean;
    clientLogonEx(host: string, port?: number, timeout?: number): void;
    clientLogoff(): void;
    setDateTime(dt: Date): void;
    getPumpsCount(): number;
    getPumpByOrdinal(index: number): number;
    getPumpPropertiesEx(id: number): {
        number: number;
        name: never;
        physical_number: number;
        side: number;
        address: number;
        price_level_1: number;
        price_level_2: number;
        price_dps_format: number;
        volume_dsp_format: number;
        value_dsp_format: number;
        type: number;
        port_id: number;
        attendant_id: number;
        auth_mode: number;
        stack_mode: number;
        prepay_allowed: number;
        preauth_allowed: number;
        slot_zig_bee_id: number;
        mux_slot_zig_bee_id: number;
        price_control: number;
        has_preset: number;
    };
    getPumpHoseByNumber(bomba: number, bico: number): number;
    getAllPumpStatuses(): {
        pump_states: never;
        current_hose: never;
        deliveries_count: never;
    };
    getDeliveriesCount(): number;
    getDeliveryByOrdinal(index: number): number;
    getDeliveryPropertiesEx4(id: number): {
        id: number;
        hose_id: number;
        state: number;
        dtype: number;
        volume: number;
        price_level: number;
        price: number;
        value: number;
        volume_2: number;
        completed_dt: Date;
        locked_by: number;
        reserved_by: number;
        attendant_id: number;
        age: number;
        cleared_dt: Date;
        old_volume_etot: number;
        oldvolume2_etot: number;
        oldvalue_etot: number;
        newvolume_etot: number;
        newvolume2_etot: number;
        newvalue_etot: number;
        tag: string | number;
        duration: number;
        card_cliente_id: number;
        peak_flow_rate: number;
    };
    lockDelivery(id: number): boolean;
    clearDelivery(id: number, dtype: number): boolean;
    getHosesCount(): number;
    getHoseByOrdinal(index: number): number;
    getHosePropertiesEx2(id: number): {
        number: number;
        pump_id: number;
        tank_id: number;
        physical_number: number;
        mtr_theo_value: number;
        mtr_theo_volume: number;
        mtr_elec_value: number;
        mtr_elec_volume: number;
        uve_antenna: number;
        price_1: number;
        price_2: number;
        enabled: number;
    };
    getHoseSummaryEx(id: number): {
        number: number;
        physical_number: number;
        pump_id: number;
        pump_number: number;
        pump_name: never;
        tank_id: number;
        tank_number: number;
        tank_name: never;
        grade_id: number;
        grade_number: number;
        grade_name: never;
        grade_short_name: never;
        grade_code: never;
        mtr_theo_value: number;
        mtr_theo_volume: number;
        mtr_elec_value: number;
        mtr_elec_volume: number;
        price_1: number;
        price_2: number;
        enabled: number;
    };
    SetHosePrices(hose_id: number, duration_type: number, price_type: number, price_1: number, price2: number): boolean;
    getGradesCount(): number;
    getGradeByOrdinal(index: number): number;
    getGradePropertiesEx(id: number): {
        number: number;
        name: never;
        short_name: never;
        code: never;
        type: number;
    };
    setGradePropertiesEx(id: number, number: number, name: string, short_name: string, code: string, type: number): boolean;
    deleteGrade(id: number): boolean;
    setGradePrice(id: number, level: number, price: number): boolean;
    getGradePrice(id: number, level: number): ref.Pointer<number>;
    getTanksCount(): number;
    getTankByOrdinal(index: number): number;
    getTankPropertiesEx(id: number): {
        number: number;
        name: never;
        grade_id: number;
        type: number;
        capacity: number;
        diameter: number;
        theo_volume: number;
        gauge_volume: number;
        gauge_tc_volume: number;
        gauge_ull_lage: number;
        gauge_temperature: number;
        gauge_level: number;
        gauge_water_volume: number;
        gauge_water_level: number;
        gauge_id: number;
        probe_no: number;
        gauge_alarms_mark: number;
    };
    getAttendantsCount(): number;
    getAttendantByOrdinal(index: number): number;
    getAttendantPropertiesEx(id: number): {
        number: number;
        name: never;
        short_name: never;
        password: never;
        tag: never;
        shiftastart: number;
        shiftaend: number;
        shiftbstart: number;
        shiftbend: number;
        enabled: number;
    };
    getCardClientsCount(): number;
    getCardClientByOrdinal(index: number): number;
    getCardClientPropertiesEx2(id: number): {
        number: number;
        name: never;
        tag: never;
        enabled: number;
        price_level: number;
        plate: never;
        grade_type: number;
        card_type: number;
        limit_type: number;
        limit: number;
        entry_type: number;
        expiration_date: Date;
        parent_id: string | number;
    };
}
export default EZInterface;
